;***********************************************************************

 (define (script-fu-cf-animationen-zylinder-01-l 
                                  bild 
                                  ebene-a 
                                  front-side 
                                  back-side 
                                  rand 
                                  hintergrund 
                                  Radius 
                                  Breite 
                                  Richtung 
                                  EbenenAnz 
                                  Tranzparenz 
                                  s-zeit
				)
    (let*
     (
     (ebene-vs 0)
     (ebene-rs 0)
     (c0 '(0 0 0))
     (r0 (/ Radius 200))
     (b0 (/ Breite 100))
     (new-image (car (gimp-image-new (car (gimp-image-width bild)) (car (gimp-image-height bild)) (car (gimp-image-base-type bild)))))
     (vs  (car (gimp-layer-new-from-drawable rand new-image)))
     (rs  (car (gimp-layer-new-from-drawable hintergrund new-image)))
     (i 0)
     (w0 (/ 360 EbenenAnz))
     (wx (if (< Richtung 4) 90 22))
     (wy 0)
     (wz 0)
     )

    (if (= (modulo Richtung 2) 1) 
      (set! w0 (* w0 -1))
    )

     (while (< i EbenenAnz)
       (begin
         (set! ebene-vs   (car (gimp-layer-copy vs new-image)))
         (gimp-image-add-layer new-image ebene-vs  0)
         
					(cond ((< Richtung 2) (set! wz (+ wz w0) ) )              
								((< Richtung 4)	(set! wx (+ wx w0) ) )
								((< Richtung 6)	(set! wy (+ wy w0) ) )
					)
         
         (plug-in-map-object 1 new-image ebene-vs 3 0.5 0.5 2 0.5 0.5 0
1 0 0 0 1 0 wx wy wz 2 c0 -1 -1 -1 -1 -1 -1 0.3  1 0.5 0.5 27 TRUE FALSE FALSE TRUE r0 -1 -1 -1 b0 -1 -1 -1 -1 -1 -1 front-side back-side)

         (if (= Tranzparenz FALSE)
           (begin
             (set! ebene-rs   (car (gimp-layer-copy rs new-image)))
             (gimp-image-add-layer new-image ebene-rs 1)
             (set! ebene-vs (car (gimp-image-merge-down new-image ebene-vs 1)))
           )
         )
         (set! i (+ i 1))

         (gimp-drawable-set-name ebene-vs (string-append "Ebene " 
(number->string i) " (" (number->string s-zeit) "ms) (replace)"))

       )
     )

     (gimp-display-new new-image)
     (gimp-displays-flush)

    )
)
  (script-fu-register
    "script-fu-cf-animationen-zylinder-01-l"
    "CFU Zylinder-Light"                              ;Name des Skripts
    "Einfache Zylinderbewegung-Light"		              ;Beschreibung des Skripts
    "CF"                                     	  ;Name des Autors
    "Copyleft by CF"                         	  ;Copyright-Infos
    "01.08.2012"                                ;Datum
    "RGB*"                     	;
     SF-IMAGE "Bild:" 0
     SF-DRAWABLE "Ebene" 0
     SF-DRAWABLE "Vorderseite:" 0
     SF-DRAWABLE "Rueckseite:" 0
     SF-DRAWABLE "Rand:" 0
     SF-DRAWABLE "Hintergrund:" 0
     SF-ADJUSTMENT "Radius in %"                             '(70 1 100 
1 10 0 0)
     SF-ADJUSTMENT "Breite in %"                             '(5 1 100 1 
10 0 0)
        SF-OPTION         "Drehrichtung" '(    "Von Rechts nach Links"
                                               "Von Lins nach Rechts"
                                               "Von Oben nach Unten"
                                               "Von Unten nach Oben"
                                               "Platte im Uhrzeigersinn"
                                               "Platte gegen den Uhrzeigersinn"
     )
     SF-ADJUSTMENT "Anzahl der Ebenen" '(20 4 720 1 10 0 0)
         SF-TOGGLE     "Transpatente Ani " FALSE
     SF-ADJUSTMENT "Standzeit in ms"	'(50 1 1000 1 10 0 0)

    )

	(script-fu-menu-register "script-fu-cf-animationen-zylinder-01-l" "<Image>/CFU/Animationen")		
;***********************************************************************


